# Get Quota

Launch stage: GA

`GET /api/2.1/unity-catalog/resource-quotas/{parent_securable_type}/{parent_full_name}/{quota_name}`

The GetQuota API returns usage information for a single resource quota, defined as a
 child-parent pair. This API also refreshes the quota count if it is out of date.
 Refreshes are triggered asynchronously. The updated count might not be returned in the first call.

API scopes: unity-catalog

## Path parameters

- `parent_securable_type` (string, optional)
  Securable type of the quota parent.
- `parent_full_name` (string, optional)
  Full name of the parent resource. Provide the metastore ID if the parent is a metastore.
- `quota_name` (string, optional)
  Name of the quota. Follows the pattern of the quota type, with "-quota" added as a suffix.

## Returns

- `quota_info` (object, optional)
  The returned QuotaInfo.
  - `parent_securable_type` (string, optional)
    The quota parent securable type.
    Possible values: `CATALOG`, `SCHEMA`, `TABLE`, `STORAGE_CREDENTIAL`, `EXTERNAL_LOCATION`, `FUNCTION`, `SHARE`, `PROVIDER`, `RECIPIENT`, `CLEAN_ROOM`, `METASTORE`, `PIPELINE`, `VOLUME`, `CONNECTION`, `CREDENTIAL`, `EXTERNAL_METADATA`, `STAGING_TABLE`
    Example: `schema`
  - `parent_full_name` (string, optional)
    Name of the parent resource. Returns metastore ID if the parent is a metastore.
    Example: `main.default`
  - `quota_name` (string, optional)
    The name of the quota.
    Example: `table-quota`
  - `quota_count` (int32, optional)
    The current usage of the resource quota.
    Example: `1234`
  - `quota_limit` (int32, optional)
    The current limit of the resource quota.
    Example: `10000`
  - `last_refreshed_at` (int64, optional)
    The timestamp that indicates when the quota count was last updated.
    Example: `1723750401`

## Response

```json
{
  "quota_info": {
    "parent_securable_type": "schema",
    "parent_full_name": "main.default",
    "quota_name": "table-quota",
    "quota_count": 1234,
    "quota_limit": 10000,
    "last_refreshed_at": 1723750401
  }
}
```

